rpm and config.{guess, sub} (was [aarch64 bugs] dpkg: Does not support aarch64 in f19 and rawhide bug #925276)

Sérgio Basto sergio at serjux.com
Mon Jun 17 21:54:52 UTC 2013


On Seg, 2013-06-17 at 16:57 +0200, Alec Leamas wrote: 
> On 2013-06-17 16:43, Jerry James wrote:
> > On Mon, Jun 17, 2013 at 2:59 AM, Björn Esser <bjoern.esser at gmail.com> wrote:
> >> I completely agree to this. Using `autoreconf -fi` in %build or %prep
> >> should be mandatory in packages using autotools. This will surely avoid
> >> lots of possible problems caused by just injecting config.{guess,sub} by
> >> %configure.
> > That would only work if the autotools had perfect backwards
> > compatibility.  They don't.  I maintain multiple packages where
> > "autoreconf -fi" with modern autotools fails due to use of obsolete
> > macros.
> > --
> > Jerry James
> > http://www.jamezone.org/
> Isn't the proper solution then to patch the config files to get rid of 
> the obsolete macros? Such patches should certainly be acceptable upstream.
> 
> That said, this and related questions have been discussed in several 
> threads over the years. The sad fact is that it hasn't been possible to 
> find an agreement how to cope with autotools and that we thus havn't 
> much about them in the guidelines.
> 
>   What are the chances finding common ground now?

I hope so , some guidelines about this would be nice.

Thanks, 
-- 
Sérgio M. B.



More information about the devel mailing list